unit BugServerCommandUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  AFCOMMANDMODULEUNIT;

type
  TAFDefaultCommand = class(TAFCommandModule)
  private
    { Private declarations }
  public
    { Public declarations }
    function Process: TStream; override;
  end;

var
  AFDefaultCommand: TAFDefaultCommand;

implementation

{$R *.DFM}

{ TAFDefaultCommand }

function TAFDefaultCommand.Process: TStream;
var
  FCount: Integer;
begin
  FCount := StrToIntDef(FSession.Values['count'],0);
  Inc(FCount);
  FSession.Values['count'] := IntToStr(FCount);
  Result := TStringStream.Create('<h1>Hello Bug ' + FSession.Values['count'] + '</h1>');
end;

end.
